Subject: Re: [PATCH v13 5/9] remote set-head: better output for --auto

From: Junio C Hamano <[email-masked]>
Date: Tue, 19 Nov 2024 19:54:09 +0900

"Bence Ferdinandy" <[email-masked]> writes:

> No, it is not, but it's also a mistake. It should be `updateres == 1`.
> refs_update_symref_extended outputs -1 for "not a symref" and 1 for any other
> error currently. Before I touched the code it was 1 for any error, so I left
> that as is. So we want to error out on set_head if we get a 1 and continue if
> we get 0 or -1 (and handle the difference in the report_set_head_auto).
>
> Thanks for noticing, I'll get that fixed in v14.

It is good that somebody noticed it (and it may have happened to be
me), but if it is a "mistake" as you said, I wonder why none of your
tests caught it.  Do we have a gap in test coverage?

Thanks.